sip {bio3d} | R Documentation

## Square Inner Product

### Description

Calculate the correlation between two atomic fluctuation vectors.

### Usage

    sip(...)

    ## S3 method for class 'nma'
    sip(a, b, ...)

    ## S3 method for class 'enma'
    sip(enma, ncore=NULL, ...)

    ## Default S3 method:
    sip(v, w, ...)

### Arguments

`enma` | an object of class `"enma"` obtained from function `nma.pdbs`.
`ncore` | number of CPU cores used to do the calculation. `ncore>1` requires package ‘parallel’ installed.
`a` | an ‘nma’ object as object from function `nma` to be compared to `b`.
`b` | an ‘nma’ object as object from function `nma` to be compared to `a`.
`v` | a numeric vector containing the atomic fluctuation values.
`w` | a numeric vector containing the atomic fluctuation values.
`...` | arguments passed to associated functions.

### Details

SIP is a measure for the similarity of atomic fluctuations of two proteins, e.g. experimental b-factors, theroetical RMSF values, or atomic fluctuations obtained from NMA.

### Value

Returns the similarity coefficient(s).

### Author(s)

Lars Skjaerven

### References

Skjaerven, L. et al. (2014) BMC Bioinformatics 15, 399. Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696. Fuglebakk, E. et al. (2013) JCTC 9, 5618–5628.

### See Also

Other similarity measures: `covsoverlap`, `bhattacharyya`, `rmsip`.

### Examples

    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )
    a <- nma(pdb)
    b <- nma(pdb, ff="anm")

    sip(a$fluctuations, b$fluctuations)

[Package bio3d version 2.3-4 Index]